#!/bin/bash

# Issue:  New firmware as of Fedora 34/RHEL 9 uses xz-compressed firmware files
# Unfortunately, the Rpi loader for wifi (brcm/broadcom) specifies files directly, and doesn't support the .xz files
# This is a simple hacky script to extract xz files in the brcm firmware directory and extract them, so they can be loaded properly

mkdir -p  /tmp/brcm_bak
cp -p /lib/firmware/brcm/*.xz   /tmp/brcm_bak/
xz -d  /tmp/brcm_bak/*.xz
mv -f /tmp/brcm_bak/*   /lib/firmware/brcm/
rmdir /tmp/brcm_bak

