# Release package for rasperry pi

Name: rocky-release-rpi

# Version is based on the EL it is part of
Version: 9.0
Release: 5%{?dist}
Summary: Rasperry Pi packages for Rocky Linux

# License is based on the Rocky License chosen for the distribution
# and not the software itself
License: BSD-3-Clause

Source0: Rocky-SIG-AltArch-RPi.repo
Source1: rootfs-expand
Source2: README
Source3: fix-wifi-rpi4.sh
Source4: fix-wifi-rpi.sh

BuildArch: noarch
BuildRequires: systemd

Requires: rocky-release >= 9.0
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

Requires: rocky-release >= 9
Requires: rocky-release-altarch >= 9
Provides: rocky-release-rpi = 9

%description
This package contains the DNF repo files for Rasperry Pi packages provided
by the Rocky Linux Release Engineering team, as well as a small rootfs utility.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/Rocky-SIG-AltArch-RPi.repo
install -d -m 0755 %{buildroot}/%{_bindir}
install -d -m 0755 %{buildroot}/%{_sysconfdir}/skel
install -p -m 0755 %{SOURCE1} %{buildroot}/%{_bindir}/rootfs-expand
install -p -m 0755 %{SOURCE3} %{buildroot}/%{_bindir}/fix-wifi-rpi4.sh
install -p -m 0755 %{SOURCE4} %{buildroot}/%{_bindir}/fix-wifi-rpi.sh
install -p -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/skel/README


%post
echo Good

%preun
echo Good

%postun
echo Good

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/Rocky-SIG-AltArch-RPi.repo
%attr(0755,root,root) %{_bindir}/rootfs-expand
%attr(0755,root,root) %{_bindir}/fix-wifi-rpi4.sh
%attr(0755,root,root) %{_bindir}/fix-wifi-rpi.sh
%attr(0644,root,root) %{_sysconfdir}/skel/README

%changelog
* Tue Oct 25 2022 Louis Abel <label@rockylinux.org> - 9.0-5
- Fix README file

* Sun Jul 31 2022 Louis Abel <label@rockylinux.org> - 9.0-4
- Fix baseurl line in repo file

* Thu Jul 28 2022 Skip Grube <skip@rockylinux.org> - 9.0-3
- Added new wifi firmware script

* Mon Jul 18 2022 Louis Abel <label@rockylinux.org> - 9.0-2
- Add requirement for rocky-release-altarch
- Change repo file name

* Fri May 27 2022 Louis Abel <label@rockylinux.org> - 9.0-1
- Init for R9
